LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XPresentationSupplier Interface Referencepublished

controls a presentation directly. More...

`import"XPresentationSupplier.idl";`

Inheritance diagram for XPresentationSupplier:

## Public Member Functions
com::sun::star::presentation::XPresentation | getPresentation ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

controls a presentation directly.

This supplier will do this.

## Member Function Documentation

## ◆ getPresentation()

com::sun::star::presentation::XPresentation getPresentation | ( |  | ) |

Returns
  an interface to control a presentation.

The documentation for this interface was generated from the following file:

- com/sun/star/presentation/XPresentationSupplier.idl